@import "~drowl-admin-iconset/variables";
@import "~drowl-base-theme-iconset/variables";
@import "../../assets/fonts/ico/variables";
@import "~drowl-sass-base/_configuration/defaults";

// ============================================================================
// Bootstrap Settings Override
//
// Important: The order for the relevant BS imports here needs to be:
// 1. @import '~/bootstrap/scss/functions'; (added in drowl-sass-base defaults)
// 2. BS Variable overrides + custom vars => If the custom vars using BS vars
//    as value, you need to add those BS vars to your overrides.
//    Ensure to remove the !default flag when copy variables over from:
//    https://github.com/twbs/bootstrap/blob/main/scss/_variables.scss
//
//    Extend and override default BS Variables:
//    - Variables should follow the `$component-state-property-size` formula for
//      consistent naming. Ex: $nav-link-disabled-color and
//      $modal-content-box-shadow-xs.
// 3. @import "~bootstrap/scss/variables"; (!default declearations)
//
// See: https://getbootstrap.com/docs/5.3/customize/sass/#importing
// ============================================================================

// ============================================================================
// Colors
// ======
// Color Tools:
// - Scheme-Designer: https://mycolor.space
// - Get middle color: https://www.dannybrien.com/middle/
// ============================================================================

$white: #fff;
$gray-100: #f8f9fa;
$gray-200: #e9ecef;
$gray-300: #dee2e6;
$gray-400: #ced4da;
$gray-500: #adb5bd;
$gray-600: #6c757d;
$gray-700: #495057;
$gray-800: #343a40;
$gray-900: #212529;
$black: #000;

$blue: #2e90d0;
$indigo: #6610f2;
$purple: #6f42c1;
$pink: #d63384;
$red: #dc3545;
$orange: #fd7e14;
$yellow: #ffc107;
$green: #a5c231;
$teal: #20c997;
$cyan: #0dcaf0;

$primary: $green;
$secondary: $gray-600;
$success: $green;
$info: $cyan;
$warning: $yellow;
$danger: $red;
$light: $gray-100;
$dark: $gray-900;

// ==========================
// Custom colors and synonyms
// ==========================
// Important: If any of the custom colors are not included in
// $theme-colors you might want to add them to the css_variables.scss
// (see the example there).
// Furthermore: If you dont add a custom color to $theme-colors
// but you need as utitlity class, see the _maps.scss for an example.

$gray-lighter: $gray-100;
$gray-light: $gray-300;
$gray-medium: $gray-500;
$gray-dark: $gray-700;
$gray-darker: $gray-900;

$theme-colors: (
  "primary": $primary,
  "secondary": $secondary,
  "success": $success,
  "info": $info,
  "warning": $warning,
  "danger": $danger,
  "light": $light,
  "dark": $dark,
  "white": $white,
);

// Text colors
$body-color: $gray-900;
$body-color-dark: $gray-300;
// $muted-dark: var(--bs-gray);
// $muted-light: var(--bs-gray-light);

// This variable is not used anymore by BS, see: https://github.com/twbs/bootstrap/blob/8c10ee828f56a353f035f832fad45bbb596cf7b9/scss/_utilities.scss#L585
// (hardcoded var(--bs-secondary-color).
// $text-muted: var(--bs-gray-600);
$body-secondary-color: rgba($body-color, 0.75);
$body-secondary-color-dark: rgba($body-color-dark, 0.75);
$muted-dark: var(--bs-gray);
$muted-light: var(--bs-gray-light);

// ============================================================================
// Typography
//
// To determine the REM values, see: https://nekocalc.com/de/px-zu-rem-umrechner
// (dont forget to setup your Root-Font-Size (== $font-size-base) first!
// ============================================================================

// To calculate proper REM values we need to set the $font-size-root instead $font-size-base.
// $font-size-root affects the value of `rem`, which is used for as well font sizes, paddings, and margins
// $font-size-base affects the font size of the body text
$font-size-root: 18px;
$font-size-base: 1rem;

$font-family-base: "Poppins", sans-serif;
$line-height-base: 1.8;
$font-size-sm: 14px;
$font-size-md: 16px;
$font-size-lg: $font-size-base * 1.333;
$lead-font-size: $font-size-lg;

$font-weight-lighter: lighter;
$font-weight-light: 300;
$font-weight-normal: 400;
$font-weight-medium: 500;
$font-weight-semibold: 600;
$font-weight-bold: 700;
$font-weight-bolder: bolder;

$headings-margin-bottom: 0.5em;
$headings-font-weight: $font-weight-bold;
$lead-font-weight: $font-weight-normal;

$h1-font-size: $font-size-base * 1.667;
$h2-font-size: $font-size-base * 1.333;
$h3-font-size: $font-size-base * 1.222;
$h4-font-size: $font-size-base * 1.111;
$h5-font-size: $font-size-base;
$h6-font-size: $font-size-base;

// Use sm, md, lg, ... instead the default BS sizes, fs-1 - 5,
// which only refleCt the .h1, .h2, .h3, ... classes, which is not
// our typical default.
$font-sizes: (
  sm: $font-size-sm,
  md: $font-size-md,
  lg: $font-size-lg,
);

// ============================================================================
// Options
// ============================================================================

$prefix: bs-;

$enable-caret: true;
$enable-rounded: true;
$enable-shadows: true;
$enable-gradients: false;
$enable-transitions: true;
$enable-reduced-motion: true;
$enable-smooth-scroll: true;
$enable-grid-classes: true;
$enable-container-classes: true;
$enable-cssgrid: true;
$enable-button-pointers: true;
$enable-validation-icons: true;
$enable-negative-margins: false;
$enable-deprecation-messages: true;
$enable-important-utilities: true;
$enable-dark-mode: true;

// The contrast ratio to reach against white, to determine if color changes from "light" to "dark". Acceptable values for WCAG 2.0 are 3, 4.5 and 7.
// See https://www.w3.org/TR/WCAG20/#visual-audio-contrast-contrast
// $min-contrast-ratio: 4.5;

// ============================================================================
// Elements
// ============================================================================

$link-color: $body-color;
$link-hover-color: lighten($link-color, 30%);

// ============================================================================
// Utilities
// ============================================================================

// Shadows
$box-shadow: 0 0.5rem 1rem rgba($black, 0.15);
$box-shadow-sm: 0 0.125rem 0.25rem rgba($black, 0.075);
$box-shadow-lg: 0 1rem 3rem -2rem rgba($black, 0.175);
$box-shadow-inset: inset 0 1px 2px rgba($black, 0.075);

// ============================================================================
// Layout & Spacings
// ============================================================================

$spacer: 1rem;
$spacers: (
  0: 0,
  1: $spacer * 0.35,
  2: $spacer * 0.75,
  3: $spacer,
  4: $spacer * 2,
  5: $spacer * 5,
);

// ============================================================================
// Border Radius
// ============================================================================

$border-radius: 0.375rem;
$border-radius-sm: 0.25rem;
$border-radius-lg: 0.5rem;
$border-radius-xl: 1rem;
$border-radius-xxl: 2rem;
$border-radius-pill: 50rem;

// ============================================================================
// Dropdown
// ============================================================================

$dropdown-border-radius: 0 0 var(--#{$prefix}bs-border-radius-lg)
  var(--bs-border-radius-lg);
$dropdown-border-color: var(--#{$prefix}body-bg);
$dropdown-box-shadow: var(--#{$prefix}box-shadow);

// ============================================================================
// Navs
// ============================================================================

$nav-link-font-size: $font-size-md;
// Changing the nav/navbar link colors is kind of a journey, so here are the
// required variables to change the colors.
// $nav-link-hover-color: var(--#{$prefix}primary);
// $dropdown-link-color: $nav-link-hover-color;
// $navbar-light-hover-color: $nav-link-hover-color;

// ============================================================================
// Navbar
// ============================================================================

// $navbar-padding-y + x seems to do exactly nothing.
// $navbar-padding-y: $spacer * 0.75;
// $navbar-padding-x: $spacer * 1;

$navbar-nav-link-padding-x: 0.75rem;

// ============================================================================
// Offcanvs
// ============================================================================

$offcanvas-padding-y: 2.5rem;
$offcanvas-padding-x: 2.5rem;

// ============================================================================
// Close Button
// ============================================================================

$btn-close-opacity: 0.75;
$btn-close-width: var(--icon-size-sm);
$btn-close-height: $btn-close-width;

// ============================================================================
// Z-indexes
// ============================================================================

// Lower the default z-indexes - to fix conflict with the Drupal Admin menu
$zindex-dropdown: 400;
$zindex-sticky: 420;
$zindex-fixed: 430;
$zindex-offcanvas-backdrop: 440;
$zindex-offcanvas: 445;
$zindex-modal-backdrop: 450;
$zindex-modal: 455;
$zindex-popover: 470;
$zindex-tooltip: 480;
$zindex-toast: 490;

// ============================================================================
// Icons / Iconfont
// ============================================================================

$iconfont-family-drowl-child: "ico";

// Sizes (also available as CSS variables)
// $icon-size-xs: 0.5rem;
// $icon-size-sm: 0.75rem;
// $icon-size-md: 1rem;
$icon-size-lg: 1.7778rem; // 32px
// $icon-size-xl: 4rem;
// $icon-size-xxl: 6rem;

// We need to define a iconfont which provides the very basic icons (arrows, etc.)
// If the Child theme wont deliver all those icons, leave this on $drowl-base-iconfont-family to use the base themes iconfont.
// !! Remember to also override the single icon-variables itself (eg. $search-form-icon - see drowl-sass-base default variables
// !! Also remember to override the PHP variables $variables['drowl_theme_icons'] in drowl_child_preprocess (see readme for details).
// $basics-frontend-iconfont-family: $iconfont-family-drowl-child;

// $ico-theme-collapsed-vertical: $ico-chevron-down;
// $ico-theme-expanded-vertical: $ico-chevron-up;
// $ico-theme-prev-arrow: $ico-chevron-left;
// $ico-theme-next-arrow: $ico-chevron-right;
// $ico-theme-refresh: $ico-refresh;
// $ico-theme-check: $ico-checkmark-circle;

// ============================================================================
// Animations / Animate.scss Configuration
// ============================================================================

$animate-css-all-animations: true;
$animate-css-attention-seekers: false;
$animate-css-bouncing-entrances: false;
$animate-css-bouncing-exits: false;
$animate-css-fading-entrances: false;
$animate-css-fading-exits: false;
$animate-css-flippers: false;
$animate-css-lightspeed: false;
$animate-css-rotating-entrances: false;
$animate-css-rotating-exits: false;
$animate-css-sliding-entrances: false;
$animate-css-sliding-exits: false;
$animate-css-zoom-entrances: false;
$animate-css-zoom-exits: false;
$animate-css-specials: false;

// ============================================================================
// Import the original BS vars (!default declarations)
// ============================================================================

@import "~bootstrap/scss/variables";
@import "~bootstrap/scss/variables-dark";
